### Globally install GitStrap CLI

```
npm install -g gitstrap-cli
```


### Clone and Setup Upstream and Origin

```
gitstrap init <gitstrap-repo> <my-repo> <folder-name>
```

This command works as follows:

-   Clones `gitstrap-repo`(origin) from GitStrap on user local system with same git-branch as that of origin, say `master`.
-   Sets the upstream(user remote) and origin on user local system respectively.
-   Push to user remote repo.
-   `folder-name` is optional argument of **gitstrap init** command.
    -   Without folder-name: Clones origin into your  current location of directory.
    -   With folder-name : Clones origin into the specified location of your directory.
    
    
### Sync Update from GitStrap Repo

```
gitstrap sync <upstream-branch>
```

`gitstrap sync` command helps to automatedly sync your repo with that of gitstrap repo.

This command works as follows:

-   Pulls from origin i.e., `master` (from default git-branch)
-   Merges into user local repo i.e., `master` (same git-branch as that during clone)
-   `upstream-branch` is optional argument of **gitstrap sync** command.
    -   This lets you choose between your git-branch for sync.
    -   Example: If you want to sync origin's `master` with your repo's `development`, include `upstream-branch` with **gitstrap sync** command.